## plasma-gmailfeed 1.1

=== CMakeLists.txt ===
project(gmailfeed)

cmake_minimum_required(VERSION 2.8.12)

set(QT_MIN_VERSION "5.3.0")
set(KF5_MIN_VERSION "5.0.0")

find_package(ECM 0.0.11 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings)

find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Quick)
find_package(KF5 ${KF5_MIN_VERSION} REQUIRED COMPONENTS Plasma)

plasma_install_package(package org.kde.plasma.gmailfeed)
 
add_subdirectory( plugin )
add_subdirectory( icons )

install(FILES gmailfeed.notifyrc DESTINATION ${KNOTIFYRC_INSTALL_DIR})

add_subdirectory( po )
