=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
    
ecm_install_icons(ICONS
    hisc-apps-gmailfeed.svgz
    THEME hicolor
    DESTINATION ${ICON_INSTALL_DIR} )
