=== debian/changelog ===
plasma-gmailfeed (1.1-2) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * Fix fallacious long description.  Gmail Feed is not an IMAP4 xbiff
    that is artificially limited to Gmail servers--it uses an Atom feed.
    At present Gmail is the only provider of this method of checking for
    unread mail.
  * Update Vcs links.
  * Declare Standards-Version: 4.1.4. (No additional changes needed)

  [ Pino Toscano ]
  * Remove unused, and non-existing plasma-framework-dev build dependency.
    (Closes: #897089)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 04 May 2018 18:22:23 -0400

plasma-gmailfeed (1.1-1) unstable; urgency=medium

  * Initial release. (Closes: #862933)

 -- Nicholas D Steeves <nsteeves@gmail.com>  Fri, 23 Mar 2018 15:07:27 -0400
