=== debian/changelog ===
plasma-gmailfeed (1.2-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 18:11:26 +1100

plasma-gmailfeed (1.2-1build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:26:41 +0000

plasma-gmailfeed (1.2-1) unstable; urgency=low

  * Team upload.

  [ Debian Janitor ]
  * Bump debhelper from old 11 to 12.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Nicholas D Steeves ]
  * Declare Standards-Version: 4.5.1 (no changes required).

  [ Pino Toscano ]
  * New upstream release.
  * Update Vcs-* fields.
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
  * Add the configuration for the CI on salsa.
  * Add Rules-Requires-Root: no.
  * Bump Standards-Version to 4.6.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump KF packages to 5.9.0
    - add intltool, libkaccounts-dev, libkf5i18n-dev, and pkg-config
    - explicitly add gettext
  * Add needed runtime dependencies: qml-module-qtquick-controls,
    qml-module-qtquick-layouts, and qml-module-org-kde-kquickcontrolsaddons.

 -- Pino Toscano <pino@debian.org>  Fri, 03 Jun 2022 22:29:51 +0200
