=== debian/control ===
Source: plasma-gmailfeed
Section: kde
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Nicholas D Steeves <nsteeves@gmail.com>
Build-Depends:
 cmake (>= 2.8.12~),
 debhelper-compat (= 13),
 extra-cmake-modules (>= 0.0.11~),
 gettext,
 intltool,
 libappstream-dev,
 libkaccounts-dev,
 libkf5i18n-dev,
 libkf5notifications-dev (>= 5.9.0~),
 libkf5plasma-dev (>= 5.9.0~),
 pkg-config,
 qtbase5-dev (>= 5.3.0~),
 qtdeclarative5-dev,
Standards-Version: 4.6.1
Rules-Requires-Root: no
Homepage: https://github.com/anthon38/gmailfeed
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/plasma-gmailfeed.git
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/plasma-gmailfeed

Package: plasma-gmailfeed
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends},
 qml-module-org-kde-kquickcontrolsaddons,
 qml-module-qtquick-controls,
 qml-module-qtquick-layouts,
 qml-module-qtquick-xmllistmodel,
Description: plasmoid that shows your Gmail feed with notifications
 Gmail Feed is a lightweight plasmoid for Plasma 5.  It provides a
 list of unread emails from your Gmail inbox.  It also notifies you
 when new messages are received.
 .
 Essentially, it is an xbiff that uses an Atom feed rather than POP3
 or IMAP.  At this time it exclusively supports Gmail and does not
 support limiting the feed to labels or sections like Primary, Social,
 Promotions, or Forums.
