=== icons/CMakeLists.txt ===
include(ECMInstallIcons)
    
ecm_install_icons(
    ICONS sc-apps-gmailfeed.svgz
    DESTINATION ${KDE_INSTALL_ICONDIR}
    THEME hicolor
)
