=== debian/changelog ===
plasma-gmailfeed (2.0-1) unstable; urgency=medium

  * Team upload.

  [ Aurélien COUDERC ]
  * Build with hardening=+all build hardening flag.
  * Release to unstable.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 01 Dec 2024 17:51:41 +0100

plasma-gmailfeed (2.0-1~exp1) experimental; urgency=medium

  [ Debian Janitor ]
  * Remove constraints unnecessary since buster (oldstable):
    + Build-Depends: Drop versioned constraint on cmake, extra-cmake-modules,
      libkf5notifications-dev, libkf5plasma-dev and qtbase5-dev.

  [ Nicholas D Steeves ]
  * Make this package Plasma 6-ready (Closes: #1079539):
    - New upstream release.
    - Migrate to Qt6 and Plasma 6 build-deps.
    - Add libsignon-qt6-dev build-dep.
    - Update long description.
  * Migrate to pkgconf.
  * Update my copyright years and email address.
  * Add 0001-fix-invalid-license-designation-format.patch.
  * Declare Standards-Version: 4.7.0 (no changes required).

 -- Nicholas D Steeves <sten@debian.org>  Fri, 29 Nov 2024 18:37:45 -0500
