=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/gmailfeed-$1\.tar\.gz/ \
  https://github.com/anthon38/gmailfeed/tags .*/v?(\d\S+)\.tar\.gz
